1. If your [commit message sucks][suck], I'm not going to accept your pull
   request.  I've explained very politely dozens of times that
   [my general guidelines][guidelines] are absolute rules on my own
   repositories, so I may lack the energy to explain it to you yet another time.

2. Please, if I ask you to change something, `git commit --amend` and `git push -f`.

3. If a feature idea is nontrivial, you should probably open an issue to
   [discuss it][] before attempting a pull request.

4. Please read the [atomic commit convention][atomic]. It most succinctly
   explains the value of small commits.

[suck]: http://stopwritingramblingcommitmessages.com/
[guidelines]: http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html
[discuss it]: http://www.igvita.com/2011/12/19/dont-push-your-pull-requests/
[atomic]: http://en.wikipedia.org/wiki/Atomic_commit#Atomic_Commit_Convention
