#!/usr/bin/perl

use strict;
use warnings;

my $file = shift or die "Usage: $0 path-to-bsctl.h\n";
open FILE, "<", $file or die $!;

my @funcs = ();

while (<FILE>) {
    if ($_ !~ '\b(bsctl_\S+)\([a-z]') {
        next;
     }
     push @funcs, $1 . "\n";
}

print "# libbsctl entry points\n";
print sort @funcs;


