Nbd module was required to redirect read\write requests from system to socket,
connected to core.

Interface:

1) open

- input: unit64_t size64, uint32_t block_size, uint32_t flags, uint32_t timeout,
  uint32_t socket

output: int device_id, char *device_name.

Device_id is needed to indicate allocated device.

2) close

- input: int device_id

Functionality:

Required modile is needed to replace NBD on existing system and to perform
communication with blk_snapshot.

1) Replacing NBD interface to aavdisk: 

- on open call module should accept socket, configure and create new virtual
  device. Returning device id and device name. This device should redirect all
requests to socket.

- close call should close existing connection and destroy virtual device. 

2) Interface to blksnap to perform Instant rollback: 

We do not need any specific interface to the module. The main idea is to
redirect rw requests to another block device. That's why device major & minor
number will be enough from agent code. In that case we can get block device of
snapshot and redirect all needed r/w requests to virtual device using extra
logic.

So the main point is to remap bdev for requests that should be read from
snapshot. 

