#include <linux/bio.h>

/* kernel_version >= 4.14
 * WARNING! Since 4.14 there is NO bio->bi_bdev, so we have to translate all
 * operations that use bio->bi_bdev to similar using bio->bi_disk.
 */


static inline void test(void)
{
	struct bio bio;

	bio.bi_disk = 0;

	(void) bio.bi_disk;
}
