#!/bin/bash

result=""
gcc_version=`gcc -dumpversion`
required_gcc_version=4.4
if [ "$required_gcc_version" = "`echo -e "$gcc_version\n$required_gcc_version" | sort -V | head -n1`" ]; then
   # stuff that requires gcc_version >= required_gcc_version
   result+=" -Wno-misleading-indentation"
fi

required_gcc_version=11
if [ "$required_gcc_version" = "`echo -e "$gcc_version\n$required_gcc_version" | sort -V | head -n1`" ]; then
   # stuff that requires gcc_version >= required_gcc_version
   result+=" -Wno-declaration-after-statement"
fi

echo "$result"