#!/bin/bash

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
. $DIR/mem-test-lib.sh

echo Finish memory compare test...

sync

echo -n Detach $DEV...
sudo $BSCTL -d $DEV &>/dev/null || fail $? "Can't detach \"$DEV\""
echo OK

echo -n Remove kernel module...
sudo rmmod blk-snapshot
echo OK

echo All done.

