#!/bin/sh

DEV=$1
MOUNT=/mnt/`basename $DEV`
FOLDER=junk
FILE_TEMPLATE=junk_file
FILES_COUNT=4000
#file size
BS=512K
COUNT=1

if [[ ! -b $1 ]]
	then
	echo "You should pass a path to a xfs partition e.g. \"/dev/sdb1\""
	exit 1
fi

mkdir -p $MOUNT
mount $DEV $MOUNT
mkdir -p $MOUNT/$FOLDER
for i in `seq 0 $FILES_COUNT`; do
	dd if=/dev/urandom of=$MOUNT/$FOLDER/$FILE_TEMPLATE"_$i" bs=$BS count=$COUNT &> /dev/null
done 
echo "$DEV is mounted"
