#ifndef _BLKSNAP_BIO_QUEUE_H
#define _BLKSNAP_BIO_QUEUE_H

#include <linux/kthread.h>

#include "blksnap-volume.h"

unsigned int blksnap_bio_kthread_init(struct blksnap_volume *volume,
				      struct blksnap_bio_queue *queue,
				      const char *name,
				      flush_func_t flush);

void blksnap_bio_kthread_destroy(struct blksnap_bio_queue *bq);

void blksnap_bio_kthread_enqueue(struct blksnap_bio_queue *bq,
				 struct bio *bio);

#endif /* _BLKNSAP_BIO_QUEUE_H */

