#include <linux/blkdev.h>
#include <linux/version.h>

/* kernel version >= 4.4 */
blk_qc_t make_request(struct request_queue *q, struct bio *bio)
{
	return BLK_QC_T_NONE;
}

void test(void)
{
#if (LINUX_VERSION_CODE >= KERNEL_VERSION(5, 7, 0))
	blk_alloc_queue(make_request, NUMA_NO_NODE);
#else
	blk_queue_make_request(0, make_request);
#endif
}
