# Unit tests for blk-snapshot

This directory contains the available unit tests for the blk-snapshot kernel
module.  Not everything can be tested, but the pieces that stand alone can be.

## Run the existing tests

To run the existing tests, type:

    $ make run

This will run all of the existing tests.  To perform just a specific one, run it
on the command line manually.  For example:

    $ make
    $ sudo insmod ./test-blksnap-extent.ko

## Add a new unit test

Adding a test is simple.  See `test-blksnap-extent.c` for an example.  A single
file for the module being tested should be created.  Include `blksnap-test.h`
and define your tests.  Update the makefile to have it included in the build.

The directory `linux` is used to stub out any necessary in-kernel structures,
types, or definitions.  See `linux/types.h` for an example.
